clang 10.0.0git

Public Member Functions | List of all members
clang::ExternalASTMerger::ImporterSource Class Reference

A source for an ExternalASTMerger. More...

`#include "clang/AST/ExternalASTMerger.h"`

## Public Member Functions
| ImporterSource (ASTContext &AST, FileManager &FM, const OriginMap &OM, bool Temporary=false, ExternalASTMerger *Merger=nullptr)
ASTContext & | getASTContext () const
FileManager & | getFileManager () const
const OriginMap & | getOriginMap () const
bool | isTemporary () const
ExternalASTMerger * | getMerger () const

## Detailed Description

A source for an ExternalASTMerger.

ASTImporters require both ASTContext and FileManager to be able to import SourceLocations properly. Additionally, when import occurs for a DeclContext whose origin has been overridden, then this ExternalASTMerger must be able to determine that.

Definition at line 83 of file ExternalASTMerger.h.

## Constructor & Destructor Documentation

## ◆ ImporterSource()

clang::ExternalASTMerger::ImporterSource::ImporterSource | ( | ASTContext & | AST,
|  | FileManager & | FM,
|  | const OriginMap & | OM,
|  | bool | Temporary = `false`,
|  | ExternalASTMerger * | Merger = `nullptr`
| ) |  |
| inline

Definition at line 95 of file ExternalASTMerger.h.

## Member Function Documentation

## ◆ getASTContext()

ASTContext& clang::ExternalASTMerger::ImporterSource::getASTContext | ( |  | ) | const
| inline

Definition at line 98 of file ExternalASTMerger.h.

References clang::ExternalASTMerger::DCOrigin::AST.

## ◆ getFileManager()

FileManager& clang::ExternalASTMerger::ImporterSource::getFileManager | ( |  | ) | const
| inline

Definition at line 99 of file ExternalASTMerger.h.

## ◆ getMerger()

ExternalASTMerger* clang::ExternalASTMerger::ImporterSource::getMerger | ( |  | ) | const
| inline

Definition at line 102 of file ExternalASTMerger.h.

References clang::ExternalASTMerger::AddSources(), clang::ExternalASTMerger::DCOrigin::DC, clang::ExternalASTMerger::ExternalASTMerger(), clang::ExternalASTMerger::FindExternalVisibleDeclsByName(), clang::ExternalASTMerger::FindOriginalDecl(), clang::ExternalASTMerger::RemoveSources(), and clang::Target.

## ◆ getOriginMap()

const OriginMap& clang::ExternalASTMerger::ImporterSource::getOriginMap | ( |  | ) | const
| inline

Definition at line 100 of file ExternalASTMerger.h.

## ◆ isTemporary()

bool clang::ExternalASTMerger::ImporterSource::isTemporary | ( |  | ) | const
| inline

Definition at line 101 of file ExternalASTMerger.h.

The documentation for this class was generated from the following file:

- include/clang/AST/ExternalASTMerger.h